import { VirtualBackgroundConfig, VirtualBackgroundType } from '@zocks-communications/client-sdk-js';
import { ZocksMediaActions, ZocksTranscriptionActions } from '../../store';
export declare const useRoomControls: (mediaActions: ZocksMediaActions, audioEnabledByDefault?: boolean, videoEnabledByDefault?: boolean) => {
    audioIsOn: boolean;
    videoIsOn: boolean;
    isScreenSharing: boolean;
    isLocalScreenShare: boolean;
    currentVideoDeviceId: string | null;
    toggleAudio: () => Promise<void>;
    toggleVideo: () => Promise<void>;
    toggleScreenShare: () => Promise<void>;
    selectAudioDevice: (audioDevice: MediaDeviceInfo) => Promise<void>;
    selectVideoDevice: (videoDevice: MediaDeviceInfo) => Promise<void>;
};
export declare const useTranscription: (audioIsOn: boolean, transcriptionActions?: ZocksTranscriptionActions) => {
    transcriptionStatus: import("../../store").TranscriptionStatus;
    toggleTranscription: () => Promise<void>;
};
export declare const useVirtualBackgrounds: (mediaActions: ZocksMediaActions) => {
    availableBackgrounds: import("../../store").VirtualBackgroundItem[] | null;
    currentVirtualBackground: import("../../store").VirtualBackgroundItem | null;
    toggleBlur: () => Promise<void>;
    toggleVirtualBackgroundImage: (imageUrl: string) => Promise<void>;
    toggleVirtualBackground: (type: VirtualBackgroundType, config?: VirtualBackgroundConfig) => Promise<void>;
};
