import { ComponentType } from 'react';
import { ZocksActions, ZocksAuthActions } from '../../store';
import { AudioControlButtonProps, LeaveButtonProps, RecordingButtonProps, ScreenShareControlButtonProps, VideoControlButtonProps } from '../ControlButtons';
import { StyledComponent } from '../common';
export interface RoomControlsComponents {
    AudioControlButton?: ComponentType<AudioControlButtonProps>;
    VideoControlButton?: ComponentType<VideoControlButtonProps>;
    ScreenShareControlButton?: ComponentType<ScreenShareControlButtonProps>;
    LeaveButton?: ComponentType<LeaveButtonProps>;
    RecordingButton?: ComponentType<RecordingButtonProps>;
    ExtraComponent?: ComponentType<StyledComponent>;
}
export interface RoomControlsProps extends StyledComponent {
    zocksActions: ZocksActions;
    authActions?: ZocksAuthActions;
    audioEnabledByDefault?: boolean;
    videoEnabledByDefault?: boolean;
    components?: RoomControlsComponents;
}
