import { PayloadAction } from '@reduxjs/toolkit';
import { AIFeatureModel, AIFeaturesModel, AIFeaturesStatus } from './models';
import { AIFeature, AIResult } from '@zocks-communications/client-sdk-js';
import { RootState } from '../../app/store';
import { ErrorResponse } from '../../components';
export declare const aiFeatureSlice: import("@reduxjs/toolkit").Slice<AIFeaturesModel, {
    initAIFeatures: (state: import("immer/dist/internal").WritableDraft<AIFeaturesModel>, action: PayloadAction<AIFeature[]>) => void;
    initAIResults: (state: import("immer/dist/internal").WritableDraft<AIFeaturesModel>, action: PayloadAction<AIResult[]>) => void;
    setAIFeaturesStatus: (state: import("immer/dist/internal").WritableDraft<AIFeaturesModel>, action: PayloadAction<AIFeaturesStatus>) => void;
    clearAIFeatures: (state: import("immer/dist/internal").WritableDraft<AIFeaturesModel>) => void;
    setAIFeaturesError: (state: import("immer/dist/internal").WritableDraft<AIFeaturesModel>, action: PayloadAction<ErrorResponse>) => void;
    aiResultReceived: (state: import("immer/dist/internal").WritableDraft<AIFeaturesModel>, action: PayloadAction<AIResult>) => void;
}, "aiFeature">;
export declare const initAIFeatures: import("@reduxjs/toolkit").ActionCreatorWithPayload<AIFeature[], "aiFeature/initAIFeatures">, initAIResults: import("@reduxjs/toolkit").ActionCreatorWithPayload<AIResult[], "aiFeature/initAIResults">, setAIFeaturesError: import("@reduxjs/toolkit").ActionCreatorWithPayload<ErrorResponse, "aiFeature/setAIFeaturesError">, setAIFeaturesStatus: import("@reduxjs/toolkit").ActionCreatorWithPayload<AIFeaturesStatus, "aiFeature/setAIFeaturesStatus">, clearAIFeatures: import("@reduxjs/toolkit").ActionCreatorWithoutPayload<"aiFeature/clearAIFeatures">, aiResultReceived: import("@reduxjs/toolkit").ActionCreatorWithPayload<AIResult, "aiFeature/aiResultReceived">;
export declare const selectAIFeatures: ((state: any) => AIFeatureModel[]) & import("reselect").OutputSelectorFields<(args_0: any) => AIFeatureModel[], {
    clearCache: () => void;
}> & {
    clearCache: () => void;
};
export declare const selectAIFeaturesStatus: (state: RootState) => AIFeaturesStatus;
declare const _default: import("redux").Reducer<AIFeaturesModel, import("redux").AnyAction>;
export default _default;
