export interface ChatModel {
    publicChatMessages: ChatMessageModel[];
    privateChatMessages: {
        [participantId: string]: ChatMessageModel[];
    };
    messageRecipient: string;
    newMessagesFrom: string[];
}
export interface ChatAttachmentModel {
    fileId: string;
    fileName: string;
    fileSize: number;
    contentType: string;
}
export interface ChatMessageModel {
    type: ChatMessageType;
    message: string;
    timestamp: number;
    from: {
        id: string;
        name: string;
    };
    to?: {
        id: string;
        name: string;
    };
    attachment?: ChatAttachmentModel;
}
export declare enum ChatMessageType {
    PUBLIC = "public",
    PRIVATE = "private"
}
