import { LocalMediaStream, VirtualBackgroundConfig, VirtualBackgroundType } from '@zocks-communications/client-sdk-js';
import { VirtualBackgroundItem } from '../virtualBackground';
export declare const useLocalMedia: (videoEnabledByDefault?: boolean, audioEnabledByDefault?: boolean) => {
    currentAudioDeviceId: string | null;
    currentVideoDeviceId: string | null;
    localAudioStream: LocalMediaStream | undefined;
    localVideoStream: LocalMediaStream | undefined;
    toggleLocalAudioStream: () => void;
    toggleLocalVideoStream: () => void;
    selectAudioDevice: (audioDevice: MediaDeviceInfo) => void;
    selectVideoDevice: (videoDevice: MediaDeviceInfo) => void;
};
export declare const useLocalVirtualBackgrounds: (defaultVirtualBackground?: VirtualBackgroundItem) => {
    availableVirtualBackgrounds: VirtualBackgroundItem[] | null;
    currentVirtualBackground: VirtualBackgroundItem | null;
    virtualBackgroundStream: LocalMediaStream | undefined;
    changeVirtualBackground: (virtualBackgroundType: VirtualBackgroundType | null, deviceId?: string, config?: VirtualBackgroundConfig) => Promise<void>;
    stopLocalVirtualBackground: () => Promise<void>;
};
