import { PayloadAction } from '@reduxjs/toolkit';
import { RootState } from '../../app/store';
import { ParticipantTranscriptModel, SessionTranscriptModel } from './models';
import { RemoveParticipantTranscriptionAction, TranscriptionEnableAction, TranscriptionReceivedAction } from './actionModels';
export declare const transcriptSlice: import("@reduxjs/toolkit").Slice<SessionTranscriptModel, {
    transcriptionReceived: (state: import("immer/dist/internal").WritableDraft<SessionTranscriptModel>, action: PayloadAction<TranscriptionReceivedAction>) => void;
    setTranscriptionServiceEnabled: (state: import("immer/dist/internal").WritableDraft<SessionTranscriptModel>, action: PayloadAction<TranscriptionEnableAction>) => void;
    setTranscriptionServiceIsLoading: (state: import("immer/dist/internal").WritableDraft<SessionTranscriptModel>, action: PayloadAction<boolean>) => void;
    setDisplayTranscriptions: (state: import("immer/dist/internal").WritableDraft<SessionTranscriptModel>, action: PayloadAction<boolean>) => void;
    setTranscriptionInProgress: (state: import("immer/dist/internal").WritableDraft<SessionTranscriptModel>, action: PayloadAction<boolean>) => void;
    clearTranscription: (state: import("immer/dist/internal").WritableDraft<SessionTranscriptModel>) => void;
    clearRemoteParticipantTranscription: (state: import("immer/dist/internal").WritableDraft<SessionTranscriptModel>, action: PayloadAction<RemoveParticipantTranscriptionAction>) => void;
}, "transcript">;
export declare const clearRemoteParticipantTranscription: import("@reduxjs/toolkit").ActionCreatorWithPayload<RemoveParticipantTranscriptionAction, "transcript/clearRemoteParticipantTranscription">, clearTranscription: import("@reduxjs/toolkit").ActionCreatorWithoutPayload<"transcript/clearTranscription">, setDisplayTranscriptions: import("@reduxjs/toolkit").ActionCreatorWithPayload<boolean, "transcript/setDisplayTranscriptions">, setTranscriptionServiceEnabled: import("@reduxjs/toolkit").ActionCreatorWithPayload<TranscriptionEnableAction, "transcript/setTranscriptionServiceEnabled">, setTranscriptionServiceIsLoading: import("@reduxjs/toolkit").ActionCreatorWithPayload<boolean, "transcript/setTranscriptionServiceIsLoading">, setTranscriptionInProgress: import("@reduxjs/toolkit").ActionCreatorWithPayload<boolean, "transcript/setTranscriptionInProgress">, transcriptionReceived: import("@reduxjs/toolkit").ActionCreatorWithPayload<TranscriptionReceivedAction, "transcript/transcriptionReceived">;
export declare const selectTranscriptionStatus: (state: RootState) => import("./models").TranscriptionStatus;
export declare const selectTranscripts: (state: RootState) => {
    [id: string]: ParticipantTranscriptModel;
};
export declare const selectParticipantTranscripts: (state: RootState, participantId: string, since?: number) => ParticipantTranscriptModel;
declare const _default: import("redux").Reducer<SessionTranscriptModel, import("redux").AnyAction>;
export default _default;
