import { ComponentType } from 'react'
import { DeviceMenuItem, SelectMenuProps, StyledComponent } from '../../common'

export interface VideoToggleButtonProps {
  videoIsOn: boolean
  toggleVideo: () => void
}

export interface VideoControlMenuComponents {
  VideoControlMenu?: ComponentType<SelectMenuProps<DeviceMenuItem>>
  VideoLoadingIndicator?: ComponentType<StyledComponent>
}

export interface VideoControlMenu {
  onVideoDeviceSelected: (mediaDeviceInfo: MediaDeviceInfo) => void
  components?: VideoControlMenuComponents
}

export type VideoControlButtonProps = VideoToggleButtonProps & Partial<VideoControlMenu> & StyledComponent
