import { ComponentType } from 'react'
import { ParticipantProps } from '../Participant'
import { StyledComponent } from '../common'

export interface MultipleParticipantViewComponents {
  Participant?: ComponentType<ParticipantProps>
}

export interface MultipleParticipantViewProps extends StyledComponent {
  pageSize?: number
  components?: MultipleParticipantViewComponents
}

export interface ScreenShareViewComponents extends MultipleParticipantViewComponents {
  ScreenShare?: ComponentType<ParticipantProps>
}

export interface ScreenShareViewProps extends MultipleParticipantViewProps, StyledComponent {
  components?: ScreenShareViewComponents
}

export interface ParticipantsComponents {
  Participant?: ComponentType<ParticipantProps>
  ScreenShare?: ComponentType<ParticipantProps>
}

export interface ParticipantsProps extends StyledComponent {
  gridPageSize?: number
  speakerPageSize?: number
  screenSharePageSize?: number
  components?: ParticipantsComponents
}
